{% extends "base.html" %}
{% block title %}Generate Feedback{% endblock %}

{% block content %}
<div class="container">
    <h1></h1>

    <form method="POST">
        <table class="table">
            <thead>
                <tr>
                    <th>Error Type</th>
                    <th>Link</th>
                </tr>
            </thead>
            <tbody>
                {% for resource in error_resources %}
                <tr>
                    <td>{{ resource.error_type }}</td>
                    <td>
                        <input type="text" name="{{ resource.id }}" value="{{ resource.resource_link }}" class="form-control">
                    </td>
                </tr>
                {% endfor %}
            </tbody>
        </table>
        <button type="submit"  name= "save_links" class="btn btn-primary save-changes-btn">Save</button>
        <button type="submit" name='generate_feedback' class="btn btn-primary generate-feedback-btn">Generate Feedback</button>

    </form>
</div>


<form method="POST" action="{{ url_for('feedback.feedback') }}">
    <button type="submit" name='download_zip' class="btn btn-danger download-feedback-btn">Download</button>
</form>
</div>



{% endblock %}
